org.apache.sysds.runtime.compress.lib

## Class CLALibBinaryCellOp

- java.lang.Object
- - org.apache.sysds.runtime.compress.lib.CLALibBinaryCellOp

-     public class CLALibBinaryCellOp
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CLALibBinaryCellOp()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CompressedMatrixBlock` | `binaryMVRow(CompressedMatrixBlock m1, double[] v, CompressedMatrixBlock ret, BinaryOperator op, boolean left)`
    `static MatrixBlock` | `binaryOperations(BinaryOperator op, CompressedMatrixBlock m1, MatrixValue thatValue, MatrixValue result)`
    `static MatrixBlock` | `binaryOperationsLeft(BinaryOperator op, CompressedMatrixBlock m1, MatrixValue thatValue, MatrixValue result)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CLALibBinaryCellOp

          public CLALibBinaryCellOp()

  - ### Method Detail

    - #### binaryOperations

          public static MatrixBlock binaryOperations(BinaryOperator op,
                                                     CompressedMatrixBlock m1,
                                                     MatrixValue thatValue,
                                                     MatrixValue result)

    - #### binaryOperationsLeft

          public static MatrixBlock binaryOperationsLeft(BinaryOperator op,
                                                         CompressedMatrixBlock m1,
                                                         MatrixValue thatValue,
                                                         MatrixValue result)

    - #### binaryMVRow

          public static CompressedMatrixBlock binaryMVRow(CompressedMatrixBlock m1,
                                                          double[] v,
                                                          CompressedMatrixBlock ret,
                                                          BinaryOperator op,
                                                          boolean left)

Copyright © 2021 The Apache Software Foundation. All rights reserved.